searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `Yex`.","ref":"Yex.html","title":"Yex","type":"module"},{"doc":"Apply a document update on the shared document.","ref":"Yex.html#apply_update/2","title":"Yex.apply_update/2","type":"function"},{"doc":"iex> doc1 = Yex.Doc.new()\n    iex> doc2 = Yex.Doc.new()\n    iex> {:ok, state1} = Yex.encode_state_as_update(doc1)\n    iex> {:ok, state2} = Yex.encode_state_as_update(doc2)\n    iex> Yex.apply_update(doc1, state2)\n    :ok\n    iex> Yex.apply_update(doc2, state1)\n    :ok","ref":"Yex.html#apply_update/2-examples-sync-two-clients-by-exchanging-the-complete-document-structure","title":"Examples Sync two clients by exchanging the complete document structure - Yex.apply_update/2","type":"function"},{"doc":"","ref":"Yex.html#apply_update_v1/2","title":"Yex.apply_update_v1/2","type":"function"},{"doc":"","ref":"Yex.html#apply_update_v2/2","title":"Yex.apply_update_v2/2","type":"function"},{"doc":"Encode the document state as a single update message that can be applied on the remote document. Optionally, specify the target state vector to only write the missing differences to the update message.","ref":"Yex.html#encode_state_as_update/2","title":"Yex.encode_state_as_update/2","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> {:ok, _binary} = Yex.encode_state_as_update(doc)","ref":"Yex.html#encode_state_as_update/2-examples","title":"Examples - Yex.encode_state_as_update/2","type":"function"},{"doc":"","ref":"Yex.html#encode_state_as_update!/2","title":"Yex.encode_state_as_update!/2","type":"function"},{"doc":"","ref":"Yex.html#encode_state_as_update_v1/2","title":"Yex.encode_state_as_update_v1/2","type":"function"},{"doc":"","ref":"Yex.html#encode_state_as_update_v2/2","title":"Yex.encode_state_as_update_v2/2","type":"function"},{"doc":"Computes the state vector and encodes it into an Uint8Array. A state vector describes the state of the local client. The remote client can use this to exchange only the missing differences.","ref":"Yex.html#encode_state_vector/1","title":"Yex.encode_state_vector/1","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> {:ok, _binary} = Yex.encode_state_vector(doc)","ref":"Yex.html#encode_state_vector/1-examples","title":"Examples - Yex.encode_state_vector/1","type":"function"},{"doc":"","ref":"Yex.html#encode_state_vector!/1","title":"Yex.encode_state_vector!/1","type":"function"},{"doc":"","ref":"Yex.html#encode_state_vector_v1/1","title":"Yex.encode_state_vector_v1/1","type":"function"},{"doc":"","ref":"Yex.html#encode_state_vector_v2/1","title":"Yex.encode_state_vector_v2/1","type":"function"},{"doc":"A shareable Array-like type that supports efficient insert/delete of elements at any position.","ref":"Yex.Array.html","title":"Yex.Array","type":"module"},{"doc":"","ref":"Yex.Array.html#delete/2","title":"Yex.Array.delete/2","type":"function"},{"doc":"","ref":"Yex.Array.html#delete_range/3","title":"Yex.Array.delete_range/3","type":"function"},{"doc":"","ref":"Yex.Array.html#get/2","title":"Yex.Array.get/2","type":"function"},{"doc":"","ref":"Yex.Array.html#insert/3","title":"Yex.Array.insert/3","type":"function"},{"doc":"Returns the length of the array","ref":"Yex.Array.html#length/1","title":"Yex.Array.length/1","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> array = Yex.Doc.get_array(doc, \"array\")\n    iex> Yex.Array.push(array, \"Hello\")\n    iex> Yex.Array.push(array, \"World\")\n    iex> Yex.Array.length(array)\n    2","ref":"Yex.Array.html#length/1-examples-sync-two-clients-by-exchanging-the-complete-document-structure","title":"Examples Sync two clients by exchanging the complete document structure - Yex.Array.length/1","type":"function"},{"doc":"","ref":"Yex.Array.html#push/2","title":"Yex.Array.push/2","type":"function"},{"doc":"Convert to json-compatible format.","ref":"Yex.Array.html#to_json/1","title":"Yex.Array.to_json/1","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> array = Yex.Doc.get_array(doc, \"array\")\n    iex> Yex.Array.push(array, \"Hello\")\n    iex> Yex.Array.push(array, \"World\")\n    iex> Yex.Array.to_json(array)\n    [\"Hello\", \"World\"]","ref":"Yex.Array.html#to_json/1-examples-sync-two-clients-by-exchanging-the-complete-document-structure","title":"Examples Sync two clients by exchanging the complete document structure - Yex.Array.to_json/1","type":"function"},{"doc":"Returns as list","ref":"Yex.Array.html#to_list/1","title":"Yex.Array.to_list/1","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> array = Yex.Doc.get_array(doc, \"array\")\n    iex> Yex.Array.push(array, \"Hello\")\n    iex> Yex.Array.push(array, \"World\")\n    iex> Yex.Array.push(array, Yex.ArrayPrelim.from([1, 2]))\n    iex> [\"Hello\", \"World\", %Yex.Array{}] = Yex.Array.to_list(array)","ref":"Yex.Array.html#to_list/1-examples-sync-two-clients-by-exchanging-the-complete-document-structure","title":"Examples Sync two clients by exchanging the complete document structure - Yex.Array.to_list/1","type":"function"},{"doc":"","ref":"Yex.Array.html#unshift/2","title":"Yex.Array.unshift/2","type":"function"},{"doc":"","ref":"Yex.Array.html#t:t/0","title":"Yex.Array.t/0","type":"type"},{"doc":"A preliminary array. It can be used to early initialize the contents of a Array.","ref":"Yex.ArrayPrelim.html","title":"Yex.ArrayPrelim","type":"module"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> map = Yex.Doc.get_map(doc, \"map\")\n    iex> Yex.Map.set(map, \"key\", Yex.ArrayPrelim.from([\"Hello\", \"World\"]))\n    iex> {:ok, %Yex.Array{} = array} = Yex.Map.get(map, \"key\")\n    iex> Yex.Array.get(array, 1)\n    {:ok, \"World\"}","ref":"Yex.ArrayPrelim.html#module-examples","title":"Examples - Yex.ArrayPrelim","type":"module"},{"doc":"","ref":"Yex.ArrayPrelim.html#from/1","title":"Yex.ArrayPrelim.from/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html","title":"Yex.Awareness","type":"module"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> {:ok, _awareness} = Yex.Awareness.new(doc)","ref":"Yex.Awareness.html#module-examples","title":"Examples - Yex.Awareness","type":"module"},{"doc":"/// Applies an update (incoming from remote channel or generated using [Awareness.encode_update] method) and modifies a state of a current instance.","ref":"Yex.Awareness.html#apply_update/2","title":"Yex.Awareness.apply_update/2","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.new())\n    iex> Yex.Awareness.clean_local_state(awareness)\n    iex> Yex.Awareness.apply_update(awareness, <<1, 210, 165, 202, 167, 8, 1, 2, 123, 125>>)\n    :ok\n    iex> Yex.Awareness.get_client_ids(awareness)\n    [2230489810]","ref":"Yex.Awareness.html#apply_update/2-examples","title":"Examples - Yex.Awareness.apply_update/2","type":"function"},{"doc":"","ref":"Yex.Awareness.html#clean_local_state/1","title":"Yex.Awareness.clean_local_state/1","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 100 }))\n    iex> Yex.Awareness.clean_local_state(awareness)\n    iex> Yex.Awareness.get_client_ids(awareness)\n    []","ref":"Yex.Awareness.html#clean_local_state/1-examples","title":"Examples - Yex.Awareness.clean_local_state/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#client_id/1","title":"Yex.Awareness.client_id/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#demonitor_change/1","title":"Yex.Awareness.demonitor_change/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#demonitor_update/1","title":"Yex.Awareness.demonitor_update/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#encode_update/2","title":"Yex.Awareness.encode_update/2","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 10 }))\n    iex> Yex.Awareness.set_local_state(awareness, %{ \"key\" => \"value\" })\n    iex> Yex.Awareness.encode_update(awareness, [10])\n    {:ok, <<1, 10, 1, 15, 123, 34, 107, 101, 121, 34, 58, 34, 118, 97, 108, 117, 101, 34, 125>>}","ref":"Yex.Awareness.html#encode_update/2-examples","title":"Examples - Yex.Awareness.encode_update/2","type":"function"},{"doc":"","ref":"Yex.Awareness.html#get_client_ids/1","title":"Yex.Awareness.get_client_ids/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#get_client_ids/1-examples","title":"Examples - Yex.Awareness.get_client_ids/1","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.new())\n    iex> Yex.Awareness.apply_update(awareness, <<1, 210, 165, 202, 167, 8, 1, 2, 123, 125>>)\n    iex> Yex.Awareness.get_client_ids(awareness)\n    [2230489810]","ref":"Yex.Awareness.html#get_client_ids/1-examples","title":"Examples - Yex.Awareness.get_client_ids/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#get_local_state/1","title":"Yex.Awareness.get_local_state/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#get_states/1","title":"Yex.Awareness.get_states/1","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 100 }))\n    iex> Yex.Awareness.set_local_state(awareness, %{ \"key\" => \"value\" })\n    iex> Yex.Awareness.get_states(awareness)\n    %{100 => %{\"key\" => \"value\"}}","ref":"Yex.Awareness.html#get_states/1-examples","title":"Examples - Yex.Awareness.get_states/1","type":"function"},{"doc":"Listen to remote and local state changes. Get notified when a state is either added, updated, or removed.","ref":"Yex.Awareness.html#monitor_change/1","title":"Yex.Awareness.monitor_change/1","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 10 }))\n    iex> Yex.Awareness.monitor_change(awareness)\n    iex> Yex.Awareness.apply_update(awareness, <<1, 210, 165, 202, 167, 8, 1, 2, 123, 125>>)\n    iex> receive do {:awareness_change, %{removed: [], added: [2230489810], updated: []}, _origin, _awareness} -> :ok end","ref":"Yex.Awareness.html#monitor_change/1-examples","title":"Examples - Yex.Awareness.monitor_change/1","type":"function"},{"doc":"Monitor to remote and local awareness changes. This event is called even when the awareness state does not change but is only updated to notify other users that this client is still online. Use this event if you want to propagate awareness state to other users.","ref":"Yex.Awareness.html#monitor_update/1","title":"Yex.Awareness.monitor_update/1","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 10 }))\n    iex> Yex.Awareness.monitor_update(awareness)\n    iex> Yex.Awareness.set_local_state(awareness, %{ \"key\" => \"value\" })\n    iex> receive do {:awareness_update, %{removed: [], added: [10], updated: []}, _origin, _awareness} -> :ok end","ref":"Yex.Awareness.html#monitor_update/1-examples","title":"Examples - Yex.Awareness.monitor_update/1","type":"function"},{"doc":"","ref":"Yex.Awareness.html#new/1","title":"Yex.Awareness.new/1","type":"function"},{"doc":"Clears out a state of a given client, effectively marking it as disconnected.","ref":"Yex.Awareness.html#remove_states/2","title":"Yex.Awareness.remove_states/2","type":"function"},{"doc":"iex> {:ok, _awareness} = Yex.Awareness.new(Yex.Doc.new())","ref":"Yex.Awareness.html#remove_states/2-examples","title":"Examples - Yex.Awareness.remove_states/2","type":"function"},{"doc":"","ref":"Yex.Awareness.html#set_local_state/2","title":"Yex.Awareness.set_local_state/2","type":"function"},{"doc":"iex> {:ok, awareness} = Yex.Awareness.new(Yex.Doc.with_options(%Yex.Doc.Options{ client_id: 100 }))\n    iex> Yex.Awareness.set_local_state(awareness, %{ \"key\" => \"value\" })\n    iex> Yex.Awareness.get_states(awareness)\n    %{100 => %{\"key\" => \"value\"}}","ref":"Yex.Awareness.html#set_local_state/2-examples","title":"Examples - Yex.Awareness.set_local_state/2","type":"function"},{"doc":"","ref":"Yex.Awareness.html#t:t/0","title":"Yex.Awareness.t/0","type":"type"},{"doc":"","ref":"Yex.Doc.html","title":"Yex.Doc","type":"module"},{"doc":"","ref":"Yex.Doc.html#demonitor_update/1","title":"Yex.Doc.demonitor_update/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#demonitor_update_v1/1","title":"Yex.Doc.demonitor_update_v1/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#demonitor_update_v2/1","title":"Yex.Doc.demonitor_update_v2/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#get_array/2","title":"Yex.Doc.get_array/2","type":"function"},{"doc":"","ref":"Yex.Doc.html#get_map/2","title":"Yex.Doc.get_map/2","type":"function"},{"doc":"","ref":"Yex.Doc.html#get_text/2","title":"Yex.Doc.get_text/2","type":"function"},{"doc":"","ref":"Yex.Doc.html#get_xml_fragment/2","title":"Yex.Doc.get_xml_fragment/2","type":"function"},{"doc":"","ref":"Yex.Doc.html#monitor_update/1","title":"Yex.Doc.monitor_update/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#monitor_update_v1/1","title":"Yex.Doc.monitor_update_v1/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#monitor_update_v2/1","title":"Yex.Doc.monitor_update_v2/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#new/0","title":"Yex.Doc.new/0","type":"function"},{"doc":"","ref":"Yex.Doc.html#transaction/2","title":"Yex.Doc.transaction/2","type":"function"},{"doc":"","ref":"Yex.Doc.html#transaction/3","title":"Yex.Doc.transaction/3","type":"function"},{"doc":"","ref":"Yex.Doc.html#with_options/1","title":"Yex.Doc.with_options/1","type":"function"},{"doc":"","ref":"Yex.Doc.html#t:t/0","title":"Yex.Doc.t/0","type":"type"},{"doc":"Document options.","ref":"Yex.Doc.Options.html","title":"Yex.Doc.Options","type":"module"},{"doc":"Automatically synchronized document processes within the same process group.\nThis is synchronized cluster-wide.\n\nNote: this uses :pg.monitor and requires OTP 25.1 or higher.","ref":"Yex.Managed.SharedDoc.html","title":"Yex.Managed.SharedDoc","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Yex.Managed.SharedDoc.html#child_spec/1","title":"Yex.Managed.SharedDoc.child_spec/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#doc_name/1","title":"Yex.Managed.SharedDoc.doc_name/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#send_yjs_message/2","title":"Yex.Managed.SharedDoc.send_yjs_message/2","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#start/2","title":"Yex.Managed.SharedDoc.start/2","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#start_link/2","title":"Yex.Managed.SharedDoc.start_link/2","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#start_sync/2","title":"Yex.Managed.SharedDoc.start_sync/2","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDoc.html#t:launch_param/0","title":"Yex.Managed.SharedDoc.launch_param/0","type":"type"},{"doc":"LocalPubSub behavior for SharedDoc\nUsed to notify SharedDoc users of updates.\n\nsee Yex.Managed.SharedDocSupervisor.LocalPubsub for an example implementation","ref":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.html","title":"Yex.Managed.SharedDoc.LocalPubSubBehaviour","type":"behaviour"},{"doc":"","ref":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.html#c:broadcast/3","title":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.broadcast/3","type":"callback"},{"doc":"","ref":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.html#c:demonitor/1","title":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.demonitor/1","type":"callback"},{"doc":"","ref":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.html#c:monitor/1","title":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.monitor/1","type":"callback"},{"doc":"","ref":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.html#c:monitor_count/1","title":"Yex.Managed.SharedDoc.LocalPubSubBehaviour.monitor_count/1","type":"callback"},{"doc":"Persistence behavior for SharedDoc","ref":"Yex.Managed.SharedDoc.PersistenceBehaviour.html","title":"Yex.Managed.SharedDoc.PersistenceBehaviour","type":"behaviour"},{"doc":"","ref":"Yex.Managed.SharedDoc.PersistenceBehaviour.html#c:bind/3","title":"Yex.Managed.SharedDoc.PersistenceBehaviour.bind/3","type":"callback"},{"doc":"","ref":"Yex.Managed.SharedDoc.PersistenceBehaviour.html#c:unbind/3","title":"Yex.Managed.SharedDoc.PersistenceBehaviour.unbind/3","type":"callback"},{"doc":"","ref":"Yex.Managed.SharedDoc.PersistenceBehaviour.html#c:update_v1/4","title":"Yex.Managed.SharedDoc.PersistenceBehaviour.update_v1/4","type":"callback"},{"doc":"Supervisor for SharedDoc","ref":"Yex.Managed.SharedDocSupervisor.html","title":"Yex.Managed.SharedDocSupervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Yex.Managed.SharedDocSupervisor.html#child_spec/1","title":"Yex.Managed.SharedDocSupervisor.child_spec/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.html#start_child/2","title":"Yex.Managed.SharedDocSupervisor.start_child/2","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.html#start_link/1","title":"Yex.Managed.SharedDocSupervisor.start_link/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.html#via_name/1","title":"Yex.Managed.SharedDocSupervisor.via_name/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.html#t:launch_param/0","title":"Yex.Managed.SharedDocSupervisor.launch_param/0","type":"type"},{"doc":"default implementation for local pubsub\n\nUsed to notify SharedDoc users of updates.","ref":"Yex.Managed.SharedDocSupervisor.LocalPubsub.html","title":"Yex.Managed.SharedDocSupervisor.LocalPubsub","type":"module"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.LocalPubsub.html#broadcast/3","title":"Yex.Managed.SharedDocSupervisor.LocalPubsub.broadcast/3","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.LocalPubsub.html#demonitor/1","title":"Yex.Managed.SharedDocSupervisor.LocalPubsub.demonitor/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.LocalPubsub.html#monitor/1","title":"Yex.Managed.SharedDocSupervisor.LocalPubsub.monitor/1","type":"function"},{"doc":"","ref":"Yex.Managed.SharedDocSupervisor.LocalPubsub.html#monitor_count/1","title":"Yex.Managed.SharedDocSupervisor.LocalPubsub.monitor_count/1","type":"function"},{"doc":"A shareable Map type.","ref":"Yex.Map.html","title":"Yex.Map","type":"module"},{"doc":"","ref":"Yex.Map.html#delete/2","title":"Yex.Map.delete/2","type":"function"},{"doc":"","ref":"Yex.Map.html#get/2","title":"Yex.Map.get/2","type":"function"},{"doc":"","ref":"Yex.Map.html#set/3","title":"Yex.Map.set/3","type":"function"},{"doc":"","ref":"Yex.Map.html#size/1","title":"Yex.Map.size/1","type":"function"},{"doc":"Convert to json-compatible format.","ref":"Yex.Map.html#to_json/1","title":"Yex.Map.to_json/1","type":"function"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> map = Yex.Doc.get_map(doc, \"map\")\n    iex> Yex.Map.set(map, \"key\", [\"Hello\", \"World\"])\n    iex> Yex.Map.to_json(map)\n    %{\"key\" => [\"Hello\", \"World\"]}","ref":"Yex.Map.html#to_json/1-examples-sync-two-clients-by-exchanging-the-complete-document-structure","title":"Examples Sync two clients by exchanging the complete document structure - Yex.Map.to_json/1","type":"function"},{"doc":"","ref":"Yex.Map.html#to_map/1","title":"Yex.Map.to_map/1","type":"function"},{"doc":"","ref":"Yex.Map.html#t:t/0","title":"Yex.Map.t/0","type":"type"},{"doc":"A preliminary map. It can be used to early initialize the contents of a Map.","ref":"Yex.MapPrelim.html","title":"Yex.MapPrelim","type":"module"},{"doc":"iex> doc = Yex.Doc.new()\n    iex> array = Yex.Doc.get_array(doc, \"array\")\n    iex> Yex.Array.insert(array, 0, Yex.MapPrelim.from(%{ \"key\" => \"value\" }))\n    iex> {:ok, %Yex.Map{} = map} = Yex.Array.get(array, 0)\n    iex> Yex.Map.get(map, \"key\")\n    {:ok, \"value\"}","ref":"Yex.MapPrelim.html#module-examples","title":"Examples - Yex.MapPrelim","type":"module"},{"doc":"","ref":"Yex.MapPrelim.html#from/1","title":"Yex.MapPrelim.from/1","type":"function"},{"doc":"Sync protocol.","ref":"Yex.Sync.html","title":"Yex.Sync","type":"module"},{"doc":"Create a sync step 1 message based on the state of the current shared document.","ref":"Yex.Sync.html#get_sync_step1/1","title":"Yex.Sync.get_sync_step1/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#get_sync_step2/2","title":"Yex.Sync.get_sync_step2/2","type":"function"},{"doc":"","ref":"Yex.Sync.html#get_update/1","title":"Yex.Sync.get_update/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_decode/1","title":"Yex.Sync.message_decode/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_decode!/1","title":"Yex.Sync.message_decode!/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_decode_v1/1","title":"Yex.Sync.message_decode_v1/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_decode_v2/1","title":"Yex.Sync.message_decode_v2/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_encode/1","title":"Yex.Sync.message_encode/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_encode!/1","title":"Yex.Sync.message_encode!/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_encode_v1/1","title":"Yex.Sync.message_encode_v1/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#message_encode_v2/1","title":"Yex.Sync.message_encode_v2/1","type":"function"},{"doc":"","ref":"Yex.Sync.html#read_sync_message/3","title":"Yex.Sync.read_sync_message/3","type":"function"},{"doc":"","ref":"Yex.Sync.html#read_sync_step1/2","title":"Yex.Sync.read_sync_step1/2","type":"function"},{"doc":"","ref":"Yex.Sync.html#read_sync_step2/3","title":"Yex.Sync.read_sync_step2/3","type":"function"},{"doc":"","ref":"Yex.Sync.html#t:message/0","title":"Yex.Sync.message/0","type":"type"},{"doc":"","ref":"Yex.Sync.html#t:sync_message/0","title":"Yex.Sync.sync_message/0","type":"type"},{"doc":"A shareable type that is optimized for shared editing on text.","ref":"Yex.Text.html","title":"Yex.Text","type":"module"},{"doc":"","ref":"Yex.Text.html#apply_delta/2","title":"Yex.Text.apply_delta/2","type":"function"},{"doc":"","ref":"Yex.Text.html#delete/3","title":"Yex.Text.delete/3","type":"function"},{"doc":"","ref":"Yex.Text.html#format/4","title":"Yex.Text.format/4","type":"function"},{"doc":"","ref":"Yex.Text.html#insert/3","title":"Yex.Text.insert/3","type":"function"},{"doc":"","ref":"Yex.Text.html#insert/4","title":"Yex.Text.insert/4","type":"function"},{"doc":"","ref":"Yex.Text.html#length/1","title":"Yex.Text.length/1","type":"function"},{"doc":"","ref":"Yex.Text.html#to_json/1","title":"Yex.Text.to_json/1","type":"function"},{"doc":"","ref":"Yex.Text.html#to_string/1","title":"Yex.Text.to_string/1","type":"function"},{"doc":"","ref":"Yex.Text.html#t:t/0","title":"Yex.Text.t/0","type":"type"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}